wxWidgets: wxGraphicsBitmap Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxGraphicsBitmap Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/graphics.h>`

Inheritance diagram for wxGraphicsBitmap:
[legend]

## Detailed Description

Represents a bitmap.

The objects of this class are not created directly but only via wxGraphicsContext or wxGraphicsRenderer CreateBitmap(), CreateBitmapFromImage() or CreateSubBitmap() methods. They can subsequently be used with wxGraphicsContext::DrawBitmap(). The only other operation is testing for the bitmap validity which can be performed using IsNull() method inherited from the base class.

## Public Member Functions
| wxGraphicsBitmap ()
| Default constructor creates an invalid bitmap. More...
wxImage | ConvertToImage () const
| Return the contents of this bitmap as wxImage. More...
void * | GetNativeBitmap () const
| Return the pointer to the native bitmap data. More...
Public Member Functions inherited from wxGraphicsObject
wxGraphicsRenderer * | GetRenderer () const
| Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet. More...
bool | IsNull () const
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxGraphicsBitmap()

wxGraphicsBitmap::wxGraphicsBitmap | ( |  | ) |

Default constructor creates an invalid bitmap.

## Member Function Documentation

## ◆ ConvertToImage()

wxImage wxGraphicsBitmap::ConvertToImage | ( |  | ) | const

Return the contents of this bitmap as wxImage.

Using this method is more efficient than converting wxGraphicsBitmap to wxBitmap first and then to wxImage and can be useful if, for example, you want to save wxGraphicsBitmap as a disk file in a format not directly supported by wxBitmap.

Invalid image is returned if the bitmap is invalid.

Since
  2.9.3

## ◆ GetNativeBitmap()

void * wxGraphicsBitmap::GetNativeBitmap | ( |  | ) | const

Return the pointer to the native bitmap data.

(CGImageRef for Core Graphics, cairo_surface_t for Cairo, Bitmap* for GDI+.)

Since
  2.9.4